Support Information

The app has the following OS minimum version requirements:

  • iOS: 8
  • Android: 4.1

If you have any questions about this documentation, or need any help using the MIRACL Trust® mobile app, please contact our support desk at: support@miracl.com.

Top